summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRene Wagner <rw@handhelds.org>2004-08-05 23:29:56 +0000
committerRene Wagner <rw@handhelds.org>2004-08-05 23:29:56 +0000
commitc42c34733d43c429dff3ddfee739add3ed592bf1 (patch)
tree87f61a2351bdf3dfd77da2a71f97b3428591c829
parent0fb8443510d0a6f88251707be563c28f502ee8d3 (diff)
ipaq-hal.init:
run update-modules if /etc/modules.conf doesn't exist so that aliases work BKrev: 4112c2f4hPWCYSNwnY8W52m1yqZ75g
-rw-r--r--linux/files/ipaq-hal.init6
1 files changed, 6 insertions, 0 deletions
diff --git a/linux/files/ipaq-hal.init b/linux/files/ipaq-hal.init
index 6d93078847..4efb52ec97 100644
--- a/linux/files/ipaq-hal.init
+++ b/linux/files/ipaq-hal.init
@@ -1,5 +1,11 @@
#!/bin/sh
+# make sure update-modules has been run
+# since the calls below depend on aliases...
+if [ ! -f /etc/modules.conf ]; then
+ update-modules || true
+fi
+
modprobe ipaq_hal || exit 0
if [ -d /proc/hal ]; then